<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));

include (TEMPLATEPATH . '/settings.php'); 

function theme_init(){
	load_theme_textdomain('ctn1', get_template_directory() . '/languages');
	}
add_action ('init', 'theme_init');

function get_new_comment_list($comment_nums = 10) {
	global $wpdb;
	$sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type,comment_author_url, SUBSTRING(comment_content,1,30) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID = $wpdb->posts.ID) WHERE comment_approved = '1' AND comment_type = '' AND post_password = '' ORDER BY comment_date_gmt DESC LIMIT $comment_nums";
	$comments = $wpdb->get_results($sql);
	$output = $pre_HTML;
	foreach ($comments as $comment) {
	$output .= "\n<li>". "<a href=\"" . get_permalink($comment->ID) . "#comment-" . $comment->comment_ID . "\" title=\"".
	$comment->post_title . "\">" . strip_tags($comment->com_excerpt) ."</a></li>";}
	$output .= $post_HTML;
	echo $output;
}
			
function slides_pic($pic_no = 3,$type="recent") {
	global $wpdb;
	$sql = "SELECT ID, post_title, post_content FROM $wpdb->posts WHERE post_content LIKE ('%<img%') AND post_status = 'publish' AND post_type ='post' ";
	if($type=="recent") {
		$sql .= "ORDER BY post_date DESC ";
	}elseif($type=="random") {
		$sql .= "ORDER BY RAND() ";
	}
	$sql .= "LIMIT $pic_no";
	$posts = $wpdb->get_results($sql);	
	if( $posts ) { 
        echo '<ul class="Slides">';	
		foreach( $posts as $post ) {
			$content = $post-> post_content;
			preg_match_all('|<img.*?src=[\'"](.*?)[\'"].*?>|i', $post->post_content, $matches);			
			$img = $matches[1][0]; //first photo
			echo '<li><a href="'.get_permalink($post->ID).'" title="'. wptexturize($post->post_title).'"><img src="'. $img .'" alt="'. wptexturize($post->post_title).'" /></a></li>';
		} 
        echo '</ul>';
	}
}

function my_comment($comment, $args, $depth) { $GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
		<div id="comment-<?php comment_ID(); ?>">
			<?php //echo get_avatar( $comment, 40 ); ?>
			
			<div class="comment-meta">
				<div class="comment-author vcard">
					<?php printf(__('<cite class="fn">%s</cite>', 'ctn1'), get_comment_author_link()) ?>
				</div>
				
				<div class="commentmetadata">
					(<a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s', 'ctn1'), get_comment_date(),  get_comment_time()) ?></a>)
				</div>
	
				<div class="reply">
					<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
					<?php edit_comment_link(__('(Edit)', 'ctn1'),'<span class="comment-edit">','</span>') ?>
				</div>
			</div>

			<?php if ($comment->comment_approved == '0') : ?>
				<em><?php _e('Your comment is awaiting moderation.', 'ctn1') ?></em>
			<?php endif; ?>
			
			<?php comment_text() ?>
		</div>
<?php } ?>