<?php 
class ctn1Options {

	function getOptions() {
		$options = get_option('ctn1_options');
		if (!is_array($options)) {
			$options['description'] = '';
			$options['keywords'] = '';
			$options['google'] = false;
			$options['google_code'] = '';
			$options['notice'] = true;
			$options['notice_content'] = '';
			$options['feed'] = false;
			$options['feed_url'] = '';
			$options['adhead'] = false;
			$options['adhead_code'] = '';
			$options['adhome'] = false;
			$options['adhome_code'] = '';
			$options['adpost'] = false;
			$options['adpost_code'] = '';
			$options['adside'] = false;
			$options['adside_code'] = '';
			$options['beian'] = false;
			$options['beian_code'] = '';
			$options['stats'] = false;
			$options['stats_code'] = '';
			
			update_option('ctn1_options', $options);
			
		}
		return $options;
	}

	function add() {
		if(isset($_POST['ctn1_save'])) {
			$options = ctn1Options::getOptions();
			
			// meta
			$options['description'] = stripslashes($_POST['description']);
			$options['keywords'] = stripslashes($_POST['keywords']);

			// google search
			if ($_POST['google']) {
				$options['google'] = (bool)true;
			} else {
				$options['google'] = (bool)false;
			}
			$options['google_code'] = stripslashes($_POST['google_code']);
			
			// notice
			if ($_POST['notice']) {
				$options['notice'] = (bool)true;
			} else {
				$options['notice'] = (bool)false;
			}
			$options['notice_content'] = stripslashes($_POST['notice_content']);
						
			// feed
			if ($_POST['feed']) {
				$options['feed'] = (bool)true;
			} else {
				$options['feed'] = (bool)false;
			}
			$options['feed_url'] = stripslashes($_POST['feed_url']);

			// adhead
			if ($_POST['adhead']) {
				$options['adhead'] = (bool)true;
			} else {
				$options['adhead'] = (bool)false;
			}
			$options['adhead_code'] = stripslashes($_POST['adhead_code']);

			// adhome
			if ($_POST['adhome']) {
				$options['adhome'] = (bool)true;
			} else {
				$options['adhome'] = (bool)false;
			}
			$options['adhome_code'] = stripslashes($_POST['adhome_code']);
			
			// adpost
			if ($_POST['adpost']) {
				$options['adpost'] = (bool)true;
			} else {
				$options['adpost'] = (bool)false;
			}
			$options['adpost_code'] = stripslashes($_POST['adpost_code']);

			// adside
			if ($_POST['adside']) {
				$options['adside'] = (bool)true;
			} else {
				$options['adside'] = (bool)false;
			}
			$options['adside_code'] = stripslashes($_POST['adside_code']);
												
			// beian
			if ($_POST['beian']) {
				$options['beian'] = (bool)true;
			} else {
				$options['beian'] = (bool)false;
			}
			$options['beian_code'] = stripslashes($_POST['beian_code']);

			// stats
			if ($_POST['stats']) {
				$options['stats'] = (bool)true;
			} else {
				$options['stats'] = (bool)false;
			}
			$options['stats_code'] = stripslashes($_POST['stats_code']);
			
			// ads 
							
			update_option('ctn1_options', $options);

		} else {
			ctn1Options::getOptions();
		}

		add_theme_page(__('Current Theme Options', 'ctn1'), __('Current Theme Options', 'ctn1'), 'edit_themes', basename(__FILE__), array('ctn1Options', 'display'));
	}

	function display() {
		$options = ctn1Options::getOptions();
?>

<form action="#" method="post" enctype="multipart/form-data" name="ctn1_form" id="ctn1_form">
	<div class="wrap">
		<h2><?php _e('Current Theme Options', 'ctn1'); ?></h2>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e('Meta', 'ctn1'); ?></th>
					<td>
						<?php _e('Description:', 'ctn1'); ?>
						<br/>
						<input type="text" name="description" id="description" class="code" style="width:98%;" value="<?php echo($options['description']); ?>">
						<br/>
						<?php _e('Keywords:', 'ctn1'); ?> <small><?php _e('( Separate keywords with commas )', 'ctn1'); ?></small>
						<br/>
						<input type="text" name="keywords" id="keywords" class="code" style="width:98%;" value="<?php echo($options['keywords']); ?>">
					</td>
				</tr>
			</tbody>
		</table>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e('Search', 'ctn1'); ?></th>
					<td>
						<label>
							<input name="google" type="checkbox" value="checkbox" <?php if($options['google']) echo "checked='checked'"; ?> />
							 <?php _e('Using google custom search engine.', 'ctn1'); ?>
						</label>
						<br/>
						<?php _e('CX:', 'ctn1'); ?>
						 <input type="text" name="google_code" id="google_code" class="code" size="40" value="<?php echo($options['google_code']); ?>">
						<br/>
						<?php _e('Find <code>name="cx"</code> in the <strong>Search box code</strong> of <a href="http://www.google.com/coop/cse/">Google Custom Search Engine</a>, and type the <code>value</code> here.<br/>For example: <code>003120516147559365629:pzooac4lotm</code>', 'ctn1'); ?>
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('Notice', 'ctn1'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'ctn1'); ?></small>
					</th>
					<td>
						<label>
							<input name="notice" type="checkbox" value="checkbox" <?php if($options['notice']) echo "checked='checked'"; ?> />
							 <?php _e('This notice bar will display at the top of posts on homepage.', 'ctn1'); ?>
						</label>
						<br />
						<label>
							<textarea name="notice_content" id="notice_content" cols="50" rows="5" style="width:98%;font-size:12px;" class="code"><?php echo($options['notice_content']); ?></textarea>
						</label>
					</td>
				</tr>
			</tbody>
		</table>
				
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row"><?php _e('Feed', 'ctn1'); ?></th>
					<td>
						<label>
							<input name="feed" type="checkbox" value="checkbox" <?php if($options['feed']) echo "checked='checked'"; ?> />
							 <?php _e('Custom feed', 'ctn1'); ?>
						</label>
						<br/>
						<?php _e('URL:', 'ctn1'); ?> <input type="text" name="feed_url" id="feed_url" class="code" size="60" value="<?php echo($options['feed_url']); ?>">
					</td>
				</tr>
			</tbody>
		</table>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('AdHead', 'ctn1'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'ctn1'); ?></small>
					</th>
					<td>
						<label>
							<input name="adhead" type="checkbox" value="checkbox" <?php if($options['adhead']) echo "checked='checked'"; ?> />
							 <?php _e('Display ads at the top right.', 'ctn1'); ?>
						</label>
						<br />
						<label>
							<textarea name="adhead_code" id="adhead_code" cols="50" rows="5" style="width:98%;font-size:12px;" class="code"><?php echo($options['adhead_code']); ?></textarea>
						</label>
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('AdHome', 'ctn1'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'ctn1'); ?></small>
					</th>
					<td>
						<label>
							<input name="adhome" type="checkbox" value="checkbox" <?php if($options['adhome']) echo "checked='checked'"; ?> />
							 <?php _e('Display ads at the home.', 'ctn1'); ?>
						</label>
						<br />
						<label>
							<textarea name="adhome_code" id="adhome_code" cols="50" rows="5" style="width:98%;font-size:12px;" class="code"><?php echo($options['adhome_code']); ?></textarea>
						</label>
					</td>
				</tr>
			</tbody>
		</table>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('AdPost', 'ctn1'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'ctn1'); ?></small>
					</th>
					<td>
						<label>
							<input name="adpost" type="checkbox" value="checkbox" <?php if($options['adpost']) echo "checked='checked'"; ?> />
							 <?php _e('Display ads in the text left.', 'ctn1'); ?>
						</label>
						<br />
						<label>
							<textarea name="adpost_code" id="adpost_code" cols="50" rows="5" style="width:98%;font-size:12px;" class="code"><?php echo($options['adpost_code']); ?></textarea>
						</label>
					</td>
				</tr>
			</tbody>
		</table>

		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('AdSide', 'ctn1'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'ctn1'); ?></small>
					</th>
					<td>
						<label>
							<input name="adside" type="checkbox" value="checkbox" <?php if($options['adside']) echo "checked='checked'"; ?> />
							 <?php _e('Display ads in the sidebar', 'ctn1'); ?>
						</label>
						<br />
						<label>
							<textarea name="adside_code" id="adside_code" cols="50" rows="5" style="width:98%;font-size:12px;" class="code"><?php echo($options['adside_code']); ?></textarea>
						</label>
					</td>
				</tr>
			</tbody>
		</table>
								
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('Beian', 'ctn1'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'ctn1'); ?></small>
					</th>
					<td>
						<label>
							<input name="beian" type="checkbox" value="checkbox" <?php if($options['beian']) echo "checked='checked'"; ?> />
							 <?php _e('Display beian at the bottom.', 'ctn1'); ?> <small><?php _e('( For example: 苏ICP备08108787号 )', 'ctn1'); ?></small>
						</label>
						<br />
						<?php _e('NO.:', 'ctn1'); ?> <input type="text" name="beian_code" id="beian_code" class="code" size="60" value="<?php echo($options['beian_code']); ?>">
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th scope="row">
						<?php _e('Stats', 'ctn1'); ?>
						<br/>
						<small style="font-weight:normal;"><?php _e('HTML enabled', 'ctn1'); ?></small>
					</th>
					<td>
						<label>
							<input name="stats" type="checkbox" value="checkbox" <?php if($options['stats']) echo "checked='checked'"; ?> />
							 <?php _e('Web site statistics by adding the code (not show).', 'ctn1'); ?>
						</label>
						<br />
						<label>
							<textarea name="stats_code" id="stats_code" cols="50" rows="5" style="width:98%;font-size:12px;" class="code"><?php echo($options['stats_code']); ?></textarea>
						</label>
					</td>
				</tr>
			</tbody>
		</table>
												
		<p class="submit">
			<input class="button-primary" type="submit" name="ctn1_save" value="<?php _e('Save Changes', 'ctn1'); ?>" />
		</p>
	</div>

</form>

<?php } }

add_action('admin_menu', array('ctn1Options', 'add')); 

?>